Download it now!
Bug 128519 - [NEWHELP] Automate icon replacement table for Help build
Summary: [NEWHELP] Automate icon replacement table for Help build
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.3.2.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2019-10-31 20:58 UTC by Olivier Hallot
Modified: 2020-05-26 17:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
python script to generate the icon include file (1.46 KB, text/x-python)
2019-10-31 20:58 UTC, Olivier Hallot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2019-10-31 20:58:30 UTC
Created attachment 155435 [details]
python script to generate the icon include file

When a Help page call a missing icon in the icon theme set, a replacement icon must be available.

The list of replacement icons exist in core/icon-theme/<theme>/links.txt. This list is updated each time an icon is added or deleted.

The list must also be used in the Help pages build phase, where missing icons must be replaced with the right icon from the list above.

The current approach is to generate a XSL transform and include it in the main XSL transform online_transform.xsl. The auxiliary XSL is named helpcontent2/help3xsl/links.txt.xsl

The Python script attached here generates link.xtx.xsl based on the link.txt of the colibre icon theme. However the script is not inserted in the build system in CustomTarget_html.mk

The task is to add the script in the build process or, do an equivalent shell script, to produce links.txt.xsl.

That way, it will prevent to update manually list.txt.xsl and update it in git.

Notes:
1) The list.txt.xsl transform is included in online_transform.xsl
2) the xsl:include href= attribute cannot be computed by xsltproc v.1.0 and must be statically defined. 
3) usually the intermediate files are placed in workdir/ folder. However, the workdir path is a LibreOffice build parameter. It cannot be used to define the xsl:include href=
Comment 1 Xisco Faulí 2019-11-25 15:26:09 UTC
Moving to NEW
Comment 2 Commit Notification 2020-05-11 15:44:55 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/ee180ade07e36dd1fb8c7bdca6ecbab44ded9eb8

tdf#128519 Automate icon repl't table for Help bld
Comment 3 Commit Notification 2020-05-13 19:22:37 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/3e0fb08cce8581d5d10fc5f0e44a26451bf5b794

tdf#128519 Icon replacement table in build time